> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/issuing-card-api/business/card/query-available-card-bins.md).

# Query Available Card BINs

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/query-available-card-bins`

### **Request Body**

**Refer to :** [**common**](/reference/issuing-card-api/common.md)

**Biz\_data :**

<table><thead><tr><th>Name</th><th width="149.828125">Type</th><th>Description</th></tr></thead><tbody><tr><td>partner_id<mark style="color:red;">*</mark></td><td>string</td><td>Partner ID</td></tr><tr><td>card_type</td><td>integer</td><td><p>Card type</p><p>Enums:</p><p><code>3-commerical virtual card</code></p><p><code>4-commerical physical card</code></p><p>Default value: <code>3-commerical virtual card</code></p></td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

<pre><code>{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "bb5BcC3A-E11F-a2dA-ee99-FeE1d9cd",
    "timestamp": "2025-04-07 13:52:38",
    "format": "JSON",
    "version": "2.0",
<strong>    "sign_type": "RSA",
</strong>    "biz_data": {
        "partner_id": "00000000000000000"
    },
    "random_key": "&#x3C;generated_key>"
}
// The biz_data in this example needs to be encrypted!
</code></pre>

### Response <a href="#example" id="example"></a>

<table><thead><tr><th width="208.58203125">Name</th><th width="164.15234375">Type</th><th>Description</th></tr></thead><tbody><tr><td>data</td><td>List&#x3C;string></td><td>Card Bins</td></tr></tbody></table>

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": ["658704","658705"]
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}
